Download it now!
Bug 118443 - Presenter Console: Disable "Next" button after last slide is played.
Summary: Presenter Console: Disable "Next" button after last slide is played.
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.5.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: easyHack, needsDevEval
Depends on:
Blocks: Slide-Show
  Show dependency treegraph
 
Reported: 2018-06-29 08:32 UTC by Explorer09
Modified: 2020-08-03 16:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Explorer09 2018-06-29 08:32:47 UTC
Description:
This is a UI feature request.

On a two monitor setup, with the Presenter Console enabled in the slide show, when I reach the black screen after last slide (with "Click to exit presentation" text), clicking the "Next" button on the Console further would end the presentation and show whatever you are doing "backstage".

Ideally there should be a separate "Exit" button on the Presenter Console and the "Next" button should be disabled when the black screen after last slide is reached. The aim is to prevent user from accidentally exiting the presentation.


Steps to Reproduce:
1. Connect to two monitors
2. In LibreOffice Impress, make sure the Presenter Console is enabled, and start a slide show.
3. Press "End" key on your keyboard to go to last slide.
4. On the Presenter Console, mouse click the "Next" button twice and see the presentation exits.

Actual Results:
The presentation exits after clicking "Next" button twice.

Expected Results:
The "Next" button may only be clicked once to go to a black screen after the list slide, and after that the button should be disabled.
In addition, there should be a separate "Exit" button on the Presenter Console, the presentation should exit only when the presenter clicks it or presses the "Esc" hotkey.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Buovjaga 2018-07-13 19:28:09 UTC
Involving UX as this is changing established behaviour.
Comment 2 Heiko Tietze 2018-07-23 10:54:24 UTC
Sounds reasonable. We should always show the Exit button, not only when the end has been reached, and disable Next on the last slide.

This might be an esay hack.
Comment 3 Commit Notification 2018-08-27 17:54:30 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e79ca904622a90b72e198f97441452d1bfffdc0

tdf#118443 - Presenter Console

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Heiko Tietze 2018-08-27 18:50:26 UTC
The Next button is now disabled when the last slide is reached, just as it happens for Previous in case of the first slide. You can still go ahead with cursor right (or any other shortcut for the next slide) to get to the black "end of presentation" slide.

There is no Exit or Quit button yet. It could be possible, at least the button is not too hard to add, but I was lazy in the end to figure out how to end the presentation per code. If needed I'll do that later.
Comment 5 Timur 2020-07-30 12:32:47 UTC
I came to this bug heading to report a regression:
"In LO 6.1 we could click Next n times for n slides (2 times for 2 slides), so external display would finally remain black on the last click. 
In 6.2 and 7.1+ we can only click Next n-1 times, so last slide remains displayed on external display."

I think this was useless, preventing user to end with black external display (can still go back to some slide via Slides).
We have Exit now (seen in master 7.1+) and who ever wants to exit, can use it.
But who wants to end with black display, cannot. 

Please revert.
Comment 6 Heiko Tietze 2020-08-03 14:57:47 UTC
Checked with 5.2 and apparently the presenter screen never shows the black "no more" slide but ends on next (at least with single screen/startalways setting). So what we get at maximum is that you have to click twice at the same slide to end the presentation (which is the opposite of disabling the button).

However, the current implementation does not allow to step through the animations on the last slide (as Mike commented back then). You need the keyboard to show objects that appear on click. Looked into the code and didn't find a quick solution (maybe something like mnMainSequenceEffectCount from EffectRewinder). 

What I can do is to revert the patch. Opinions?
Comment 7 Mike Kaganski 2020-08-03 15:07:23 UTC
Possibly revert. I suppose it's better to introduce an option to skip the last black slide (can't find the request ATM, where users wanted to chain several presentations, and the slide was on their way), which would allow those who don't want that slide to have that the other way.
Comment 8 Mike Kaganski 2020-08-03 15:11:10 UTC
(In reply to Explorer09 from comment #0)
> The aim is to prevent user from accidentally exiting the presentation.

Re-reading this, I see that I misunderstood this. Then possibly disable the "Next" on the last black one, to prevent "clicking the "Next" button on the Console further would end the presentation"?
Comment 9 Timur 2020-08-03 16:11:47 UTC Comment hidden (me-too)
Comment 10 Timur 2020-08-03 16:14:53 UTC
Request in Comment 0was to prevent n+1 click bit this was done to prevent both n and n+1.
Now that we have Exit it is OK not to have n+1 click but n click is needed, as it used to show presentation black on external display before (and keep it ready)